SmilesRingSet
Date: 2019-10-22

org.jmol.smiles

## Class SmilesRingSet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<V>
      - - javajs.util.Lst<SmilesRing>
        - - org.jmol.smiles.SmilesRingSet

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<SmilesRing>, java.util.Collection<SmilesRing>, java.util.List<SmilesRing>, java.util.RandomAccess

      class SmilesRingSet
      extends javajs.util.Lst<SmilesRing>

  a list of fused rings

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) javajs.util.BS` | `bs`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmilesRingSet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `addRing(SmilesRing ring)`
    `(package private) void` | `addSet(SmilesRingSet set, java.util.Hashtable<java.lang.String,SmilesRingSet> htEdgeMap)`
    `(package private) int` | `getElectronCount(int[] eCounts)`

    - ### Methods inherited from class javajs.util.Lst

      `add, addLast, remove, remove, removeItemAt, removeObj`

    - ### Methods inherited from class java.util.ArrayList

      `add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Field Detail

    - #### bs

          javajs.util.BS bs

  - ### Constructor Detail

    - #### SmilesRingSet

          SmilesRingSet()

  - ### Method Detail

    - #### addSet

          void addSet(SmilesRingSet set,
                      java.util.Hashtable<java.lang.String,SmilesRingSet> htEdgeMap)

    - #### addRing

          void addRing(SmilesRing ring)

    - #### getElectronCount

          int getElectronCount(int[] eCounts)